import request from '@/utils/request'

// 查询设备图片列表
export function listImgs(query) {
    return request({
        url: '/device-imgs/list',
        method: 'get',
        params: query
    })
}

// 查询设备图片详细
export function getImgs(imgId) {
    return request({
        url: '/device-imgs/' + imgId,
        method: 'get'
    })
}

// 新增设备图片
export function addImgs(data) {
    return request({
        url: '/device-imgs',
        method: 'post',
        data: data
    })
}

// 修改设备图片
export function updateImgs(data) {
    return request({
        url: '/device-imgs',
        method: 'put',
        data: data
    })
}

// 删除设备图片
export function delImgs(imgId) {
    return request({
        url: '/device-imgs/' + imgId,
        method: 'delete'
    })
}


// 新增设备图片批量
export function batchAddImgs(data) {
    return request({
        url: '/device-imgs/batch-add',
        method: 'post',
        data: data
    })
}